// ファイル名： Ch05/SolidLocator/Solid.hh 
#pragma once 
#include <string> 
#include <array> 
#include <vector> 
using namespace std; 
typedef array<double,3> Point3D; 
typedef vector<double>  SolidPars; 
 
class Solid { 
 public: 
  string       getSolidName(); 
  SolidPars    getSolidPars(); 
  virtual bool isPointIn(Point3D testPoint) = 0; 
 protected: 
  string    solidName; 
  SolidPars solidPars; 
};
